@ECHO OFF
IF NOT x%1 == xx GOTO RUNFIRST
set /P SYSPART=
CALL :ROOT2 %SYSPART%
GOTO :EOF
:RUNFIRST
mode con:cols=90 lines=30
COLOR 02
:MENU
CLS
ECHO.
ECHO ------------------------------------------------------------------------------------------
ECHO                               Multidevice root method
ECHO                                     by sparkym3
ECHO.
ECHO                               Credit to miloj for the root method
ECHO ------------------------------------------------------------------------------------------
ECHO.
ECHO            1 - Root
ECHO.
ECHO            2 - Manual/Expert Root    (Must manually supply system mount location)
ECHO.
ECHO            3 - Donate Menu
ECHO.
ECHO            4 - Exit
ECHO.
SET M=none
SET /P M=Please select an option: 
IF %M%==1 GOTO ROOT
IF %M%==2 GOTO MANROOT
IF %M%==3 GOTO DONATE
IF %M%==4 GOTO DONE
IF %M%==none  (
   (ECHO. & ECHO You did not select an option. Exiting...) & ECHO. & PAUSE <CON & EXIT
)
:DONATE
CLS
ECHO.
ECHO ------------------------------------------------------------------------------------------
ECHO                               Multidevice root method
ECHO                                     by sparkym3
ECHO.
ECHO                               Credit to miloj for the root method                      
ECHO ------------------------------------------------------------------------------------------
ECHO.
ECHO                         If you choose to donate, thank you very much!!
ECHO.
ECHO              1 - Donate to sparkym3       (Creator of this tool)
ECHO              2 - Donate to miloj          (root method)
ECHO              3 - Donate to viperboy       (base structure used to create tool)
ECHO.
ECHO              4 - Exit
ECHO.
SET M=none
SET /P M=Please select an option: 
IF %M%==1 GOTO SPARKYM3
IF %M%==2 GOTO MILOJ
IF %M%==3 GOTO VIPER
IF %M%==4 GOTO MENU
IF %M%==none  (
   (ECHO. & ECHO You did not select an option. Going to main menu...) & ECHO. & PAUSE <CON & GOTO:MENU
)
:SPARKYM3
	START http://goo.gl/Ptlci
	ECHO.
	ECHO                                          Thank you!!!
	ECHO.
	pause <CON
	GOTO MENU
:MILOJ
	START http://goo.gl/HeZdP
	ECHO.
	ECHO                                          Thank you!!!
	ECHO.
	pause <CON
	GOTO MENU
:VIPER
	START http://bit.ly/n7sB9g
	ECHO.
	ECHO                                          Thank you!!!
	ECHO.
	pause <CON
	GOTO MENU
:ROOT
	CLS
	ECHO.
	ECHO You must install your device specific drivers so that the 
	ECHO device is visible to ADB.
	ECHO.
	ECHO For more directions, please search the XDA forums. 
	ECHO.
	pause <CON
	CLS
	ECHO.
	ECHO You also MUST enable Unknown Sources and USB Debugging on your device
	ECHO.
	ECHO Info:
	ECHO "Settings > Applications > Unknown Sources"
	ECHO "Settings > Applications > Development > USB Debugging"
	ECHO OR
	ECHO "Settings > Security > Unknown Sources"
	ECHO "Settings > Developer Options > USB Debugging"
	ECHO.
	pause <CON
	taskkill /f /im:asusUPCTLoader.exe
	CLS
	ECHO.
	ECHO Waiting for device to be detected...
	@adb kill-server
	@adb wait-for-device
	@adb shell mount | find " /system" | call RootDebugfs.bat x
	GOTO MENU
:MANROOT
	CLS
	ECHO.
	ECHO WARNING!! If you do not know what you are doing, do not use the manual root.
	ECHO Instead, close the program and select option 1 to run the automatic root method.
	pause <CON
	CLS
	ECHO.
	ECHO You also MUST enable Unknown Sources and USB Debugging on your device
	ECHO.
	ECHO Info:
	ECHO "Settings > Applications > Unknown Sources"
	ECHO "Settings > Applications > Development > USB Debugging"
	ECHO OR
	ECHO "Settings > Security > Unknown Sources"
	ECHO "Settings > Developer Options > USB Debugging"
	ECHO.
	pause <CON
	taskkill /f /im:asusUPCTLoader.exe
	CLS
	ECHO.
	ECHO Waiting for device to be detected...
	@adb kill-server
	@adb wait-for-device
	ECHO Enter the full path to your system mount:
	call RootDebugfs.bat x
	GOTO MENU
:ROOT2
	IF x%1 == x GOTO ROOT2FAIL
	ECHO.
	ECHO Found system partition at: %1
	ECHO.
	ECHO Step 1 - Pushing files...
	@adb push debugfs /data/local/
	@adb push su /data/local/
	@adb push debugfsinput /data/local/
	@adb shell mv /data/local/tmp /data/local/tmp.bak
	@adb shell ln -s %1 /data/local/tmp
	ECHO.
	ECHO Rebooting...
	ECHO Once your devices has finished restarting,
	@adb reboot
	@pause <CON
	ECHO Waiting for device to be detected...
	@adb wait-for-device
	CLS
	ECHO.
	ECHO Step 2 - Rooting...
	ECHO For this step, ignore any error messages that say "File not found"
	@adb shell chmod 777 /data/local/debugfs
	@adb shell "/data/local/debugfs -w %1 < /data/local/debugfsinput"
	@adb shell rm /data/local/tmp
	@adb shell mv /data/local/tmp.bak /data/local/tmp
	@adb shell rm /data/local/su
	@adb shell rm /data/local/debugfs
	@adb shell rm /data/local/debugfsinput
	ECHO.
	ECHO.
	ECHO Rebooting...
	ECHO Once your devices has finished restarting,
	@adb reboot
	@pause <CON
	ECHO Waiting for device to be detected...
	@adb wait-for-device
	CLS
	ECHO.
	ECHO Testing superuser...
	type isroot | adb shell | find "#"
	if %errorlevel% == 1 goto NOTROOT
	CLS
	ECHO.
	ECHO Root permissions successfully granted to su binary
	ECHO Installing Superuser.apk...
	@adb install Superuser.apk
	CLS
	ECHO.
	ECHO You have root!
	ECHO If your apps do not recognize the root access you may need to reboot your device.
	ECHO.
	@pause <CON
	GOTO :EOF
:ROOT2FAIL
	CLS
	ECHO.
	ECHO Rooting FAILED! System partition was not found.
	ECHO.
	pause <CON
	GOTO :EOF
:NOTROOT
	CLS
	ECHO.
	ECHO Rooting FAILED!  You may want to try running this tool again.
	ECHO Your device region may not be supported if you see this message again.
	ECHO.
	pause <CON
	GOTO :EOF
:DONE
	CLS
	EXIT
